## OGMRipSubpCodec

OGMRipSubpCodec — Base class for subtitles codecs

## Functions

void | ogmrip_subp_codec_set_dvd_subp_stream ()
OGMDvdSubpStream * | ogmrip_subp_codec_get_dvd_subp_stream ()
gint | ogmrip_subp_codec_get_charset ()
void | ogmrip_subp_codec_set_charset ()
gint | ogmrip_subp_codec_get_newline ()
void | ogmrip_subp_codec_set_newline ()
gboolean | ogmrip_subp_codec_get_forced_only ()
void | ogmrip_subp_codec_set_forced_only ()
const gchar * | ogmrip_subp_codec_get_label ()
void | ogmrip_subp_codec_set_label ()

## Properties

guint | charset | Read / Write
gboolean | forced-only | Read / Write
guint | newline | Read / Write
gpointer | stream | Read / Write

## Types and Values

struct | OGMRipSubpCodec
struct | OGMRipSubpCodecClass

## Object Hierarchy

        GObject
        ╰── OGMJobSpawn
            ╰── OGMJobContainer
                ╰── OGMJobBin
                    ╰── OGMRipCodec
                        ╰── OGMRipSubpCodec

## Includes

    #include <ogmrip-subp-codec.h>

## Description

## Functions

### ogmrip_subp_codec_set_dvd_subp_stream ()

    void
    ogmrip_subp_codec_set_dvd_subp_stream (OGMRipSubpCodec *subp,
                                           OGMDvdSubpStream *stream);

Sets the subtitle stream to encode.

#### Parameters

subp | an OGMRipSubpCodec |
stream | an OGMDvdSubpStream |

### ogmrip_subp_codec_get_dvd_subp_stream ()

    OGMDvdSubpStream *
    ogmrip_subp_codec_get_dvd_subp_stream (OGMRipSubpCodec *subp);

Gets the subtitle stream to encode.

#### Parameters

subp | an OGMRipSubpCodec |

#### Returns

an OGMDvdSubpStream, or NULL

### ogmrip_subp_codec_get_charset ()

    gint
    ogmrip_subp_codec_get_charset (OGMRipSubpCodec *subp);

Gets the character set of text subtitles

#### Parameters

subp | an OGMRipSubpCodec |

#### Returns

an OGMRipCharset, or -1

### ogmrip_subp_codec_set_charset ()

    void
    ogmrip_subp_codec_set_charset (OGMRipSubpCodec *subp,
                                   OGMRipCharset charset);

Sets the character set of text subtitles

#### Parameters

subp | an OGMRipSubpCodec |
charset | the OGMRipCharset |

### ogmrip_subp_codec_get_newline ()

    gint
    ogmrip_subp_codec_get_newline (OGMRipSubpCodec *subp);

Gets the end-of-line characters of text subtitles

#### Parameters

subp | an OGMRipSubpCodec |

#### Returns

the OGMRipNewline, or -1

### ogmrip_subp_codec_set_newline ()

    void
    ogmrip_subp_codec_set_newline (OGMRipSubpCodec *subp,
                                   OGMRipNewline newline);

Sets the end-of-line characters of text subtitles

#### Parameters

subp | an OGMRipSubpCodec |
newline | the OGMRipNewline |

### ogmrip_subp_codec_get_forced_only ()

    gboolean
    ogmrip_subp_codec_get_forced_only (OGMRipSubpCodec *subp);

Gets whether to extract forced subtitles only.

#### Parameters

subp | an OGMRipSubpCodec |

#### Returns

`TRUE` to extract forced subtitles only

### ogmrip_subp_codec_set_forced_only ()

    void
    ogmrip_subp_codec_set_forced_only (OGMRipSubpCodec *subp,
                                       gboolean forced_only);

Sets whether to extract forced subtitles only.

#### Parameters

subp | an OGMRipSubpCodec |
forced_only | `TRUE` to extract forced subtitles only |

### ogmrip_subp_codec_get_label ()

    const gchar *
    ogmrip_subp_codec_get_label (OGMRipSubpCodec *subp);

Gets the name of the track.

#### Parameters

subp | an OGMRipSubpCodec |

#### Returns

the track name

### ogmrip_subp_codec_set_label ()

    void
    ogmrip_subp_codec_set_label (OGMRipSubpCodec *subp,
                                 const gchar *label);

Sets the name of the track.

#### Parameters

subp | an OGMRipSubpCodec |
label | the track name |

## Types and Values

### struct OGMRipSubpCodec

    struct OGMRipSubpCodec;

### struct OGMRipSubpCodecClass

    struct OGMRipSubpCodecClass {
      OGMRipCodecClass parent_class;
    };

## Property Details

### The `“charset”` property

      “charset”                  guint

Set charset.

Flags: Read / Write

Allowed values: <= 2

Default value: 0

### The `“forced-only”` property

      “forced-only”              gboolean

Set forced only.

Flags: Read / Write

Default value: FALSE

### The `“newline”` property

      “newline”                  guint

Set newline.

Flags: Read / Write

Allowed values: <= 1

Default value: 0

### The `“stream”` property

      “stream”                   gpointer

Set subp stream.

Flags: Read / Write